devguard
Assets

Get a paginated list of assets with hierarchy.

GET
/assets/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Query Parameters

limit?number
Range5 <= value <= 100
Default100
page?number
Range1 <= value
Default1
organizationId*string
Length1 <= length
sortColumn?string
sortDirection?string

Value in

  • "asc"
  • "desc"
sort?string

JSON-encoded.

filterByName?string
filterByLabels?array<string>
filterByArchived?string
Default"active"

Value in

  • "active"
  • "archived"
filterByPriority?string

Value in

  • "high"
  • "medium"
  • "low"
filters?string

JSON-encoded.

parentId?string|null
maxDepth?number
Range1 <= value <= 10
Default4

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/assets/?organizationId=string"
{  "items": [    {      "id": "string",      "shortId": -9007199254740991,      "slug": "string",      "name": "string",      "description": "string",      "ownerId": "string",      "createdAt": "string",      "updatedAt": "string",      "archivedAt": "string",      "organizationId": "string",      "status": "ACTIVE",      "parentId": "string",      "assetClassId": "string",      "locationId": "string",      "retentionPeriodId": "string",      "lastReviewId": "string",      "confidentialityRating": 0,      "integrityRating": 0,      "availabilityRating": 0,      "fieldValues": {        "property1": "string",        "property2": "string"      },      "owner": {        "id": "string",        "slug": "string",        "name": "string",        "description": "string",        "archivedAt": "string",        "organizationId": "string",        "memberIds": [          "string"        ],        "requiredCompetence": "string"      },      "location": {        "id": "string",        "slug": "string",        "name": "string",        "description": "string",        "createdAt": "string",        "updatedAt": "string",        "latitude": 0,        "longitude": 0,        "address": "string",        "archivedAt": "string",        "organizationId": "string"      },      "retentionPeriod": {        "id": "string",        "slug": "string",        "name": "string",        "description": "string",        "createdAt": "string",        "updatedAt": "string",        "archivedAt": "string",        "organizationId": "string",        "ruleSet": "string"      },      "assetMemberships": [        {          "assetId": "string",          "businessRoleId": "string",          "businessRole": {            "id": "string",            "slug": "string",            "name": "string",            "description": "string",            "archivedAt": "string",            "organizationId": "string",            "memberIds": [              "string"            ],            "requiredCompetence": "string"          }        }      ],      "assetClass": {        "id": "string",        "slug": "string",        "name": "string",        "description": "string",        "createdAt": "string",        "updatedAt": "string",        "organizationId": "string",        "archivedAt": "string",        "confidentialityRating": 0,        "integrityRating": 0,        "availabilityRating": 0,        "fields": [          {            "id": "string",            "label": "string",            "type": "text",            "required": true,            "options": [              "string"            ],            "placeholder": "string"          }        ]      },      "parent": {        "id": "string",        "shortId": -9007199254740991,        "slug": "string",        "name": "string",        "description": "string",        "ownerId": "string",        "createdAt": "string",        "updatedAt": "string",        "archivedAt": "string",        "organizationId": "string",        "status": "ACTIVE",        "parentId": "string",        "assetClassId": "string",        "locationId": "string",        "retentionPeriodId": "string",        "lastReviewId": "string",        "confidentialityRating": 0,        "integrityRating": 0,        "availabilityRating": 0,        "fieldValues": {          "property1": "string",          "property2": "string"        }      },      "_count": {        "children": 0      },      "level": 0,      "controlLinks": [        {          "id": "string",          "controlCoverageId": "string",          "assetId": "string",          "organizationId": "string",          "linkedAt": "string",          "linkedBy": "string",          "controlCoverage": {            "id": "string",            "frameworkAdoptionId": "string",            "controlId": "string",            "coverageStatus": "FULL",            "targetStatus": "FULL",            "coverageGap": "string",            "lastReviewedAt": "string",            "reviewedBy": "string",            "isNotRelevant": true,            "notRelevantReason": "string",            "notRelevantAt": "string",            "notRelevantBy": "string",            "policyId": "string",            "sectionUid": "string",            "organizationId": "string",            "createdAt": "string",            "updatedAt": "string",            "control": {              "id": "string",              "frameworkId": "string",              "parentId": "string",              "identifier": "string",              "slug": "string",              "type": "CATEGORY",              "isMandatory": true,              "name": "string",              "description": null,              "purpose": "string",              "isCentralized": true,              "createdAt": "string",              "updatedAt": "string"            }          }        }      ],      "labels": [        {          "assetId": "string",          "labelId": "string",          "organizationId": "string",          "label": {            "id": "string",            "slug": "string",            "name": "string",            "scope": "string",            "color": "string",            "createdAt": "string",            "updatedAt": "string",            "archivedAt": "string",            "organizationId": "string"          }        }      ],      "riskLinks": [        {          "risk": {            "id": "string",            "slug": "string",            "shortId": 0,            "name": "string"          }        }      ],      "nextExpiry": "string",      "children": [        {}      ]    }  ],  "total": 0,  "page": 0,  "limit": 0}

How is this guide?